## kaptain 0.73

=== Makefile ===
#############################################################################
# Makefile for building: kaptain
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Feb 28 10:51:28 2011
# Project:  kaptain.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile kaptain.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/Qt3Support -I/usr/include/qt4 -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQt3Support -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = communication.cpp \
		grammar.cpp \
		intermediate.cpp \
		kaptain.cpp \
		main.cpp \
		process.cpp \
		tools.cpp moc_communication.cpp \
		moc_kaptain.cpp \
		parser_yacc.cpp \
		lexer_lex.cpp
OBJECTS       = communication.o \
		grammar.o \
		intermediate.o \
		kaptain.o \
		main.o \
		process.o \
		tools.o \
		moc_communication.o \
		moc_kaptain.o \
		parser_yacc.o \
		lexer_lex.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		kaptain.pro
QMAKE_TARGET  = kaptain
DESTDIR       = 
TARGET        = kaptain

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: kaptain.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQt3Support.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile kaptain.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQt3Support.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile kaptain.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/kaptain1.0.0 || $(MKDIR) .tmp/kaptain1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/kaptain1.0.0/ && $(COPY_FILE) --parents communication.h global.h grammar.h intermediate.h kaptain.h lexer.h process.h tools.h .tmp/kaptain1.0.0/ && $(COPY_FILE) --parents communication.cpp grammar.cpp intermediate.cpp kaptain.cpp main.cpp process.cpp tools.cpp .tmp/kaptain1.0.0/ && $(COPY_FILE) --parents parser.ypp .tmp/kaptain1.0.0/ && $(COPY_FILE) --parents parser.ypp .tmp/kaptain1.0.0/ && $(COPY_FILE) --parents lexer.lpp .tmp/kaptain1.0.0/ && (cd `dirname .tmp/kaptain1.0.0` && $(TAR) kaptain1.0.0.tar kaptain1.0.0 && $(COMPRESS) kaptain1.0.0.tar) && $(MOVE) `dirname .tmp/kaptain1.0.0`/kaptain1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/kaptain1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_communication.cpp moc_kaptain.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_communication.cpp moc_kaptain.cpp
moc_communication.cpp: communication.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) communication.h -o moc_communication.cpp

moc_kaptain.cpp: kaptain.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) kaptain.h -o moc_kaptain.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all: parser_yacc.h
compiler_yacc_decl_clean:
	-$(DEL_FILE) parser_yacc.h
parser_yacc.h: parser.ypp
	bison -d -o parser.tab.c -p parser -b parser parser.ypp
	 rm -f parser_yacc.h parser_yacc.cpp
	 mv -f parser.tab.h parser_yacc.h
	 mv -f parser.tab.c parser_yacc.cpp
	

compiler_yacc_impl_make_all: parser_yacc.cpp
compiler_yacc_impl_clean:
	-$(DEL_FILE) parser_yacc.cpp
parser_yacc.cpp: parser.ypp \
		parser_yacc.h
	


compiler_lex_make_all: lexer_lex.cpp
compiler_lex_clean:
	-$(DEL_FILE) lexer_lex.cpp
lexer_lex.cpp: lexer.lpp
	flex -Plexer lexer.lpp
	 rm -f lexer_lex.cpp
	 mv -f lex.lexer.c lexer_lex.cpp
	

compiler_clean: compiler_moc_header_clean compiler_yacc_decl_clean compiler_yacc_impl_clean compiler_lex_clean 

####### Compile

communication.o: communication.cpp global.h \
		tools.h \
		communication.h \
		grammar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o communication.o communication.cpp

grammar.o: grammar.cpp global.h \
		grammar.h \
		communication.h \
		tools.h \
		intermediate.h \
		kaptain.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o grammar.o grammar.cpp

intermediate.o: intermediate.cpp intermediate.h \
		grammar.h \
		kaptain.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o intermediate.o intermediate.cpp

kaptain.o: kaptain.cpp tools.h \
		process.h \
		kaptain.h \
		intermediate.h \
		grammar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o kaptain.o kaptain.cpp

main.o: main.cpp global.h \
		tools.h \
		communication.h \
		process.h \
		grammar.h \
		intermediate.h \
		kaptain.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

process.o: process.cpp process.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o process.o process.cpp

tools.o: tools.cpp tools.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tools.o tools.cpp

moc_communication.o: moc_communication.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_communication.o moc_communication.cpp

moc_kaptain.o: moc_kaptain.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_kaptain.o moc_kaptain.cpp

parser_yacc.o: parser_yacc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o parser_yacc.o parser_yacc.cpp

lexer_lex.o: lexer_lex.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o lexer_lex.o lexer_lex.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/bin/ 


install_documentation: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/doc/kaptain/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/doc/kaptain/ 
	-$(INSTALL_FILE) /home/zsolt/kaptain/kaptain-0.73/COPYING $(INSTALL_ROOT)/usr/local/share/doc/kaptain/
	-$(INSTALL_FILE) /home/zsolt/kaptain/kaptain-0.73/README $(INSTALL_ROOT)/usr/local/share/doc/kaptain/
	-$(INSTALL_FILE) /home/zsolt/kaptain/kaptain-0.73/doc/crypt.gif $(INSTALL_ROOT)/usr/local/share/doc/kaptain/
	-$(INSTALL_FILE) /home/zsolt/kaptain/kaptain-0.73/doc/database.tgz $(INSTALL_ROOT)/usr/local/share/doc/kaptain/
	-$(INSTALL_FILE) /home/zsolt/kaptain/kaptain-0.73/doc/fig1.png $(INSTALL_ROOT)/usr/local/share/doc/kaptain/
	-$(INSTALL_FILE) /home/zsolt/kaptain/kaptain-0.73/doc/kaptain.html $(INSTALL_ROOT)/usr/local/share/doc/kaptain/
	-$(INSTALL_FILE) /home/zsolt/kaptain/kaptain-0.73/doc/kaptain.info $(INSTALL_ROOT)/usr/local/share/doc/kaptain/
	-$(INSTALL_FILE) /home/zsolt/kaptain/kaptain-0.73/doc/kaptain.texi $(INSTALL_ROOT)/usr/local/share/doc/kaptain/
	-$(INSTALL_FILE) /home/zsolt/kaptain/kaptain-0.73/doc/record.gif $(INSTALL_ROOT)/usr/local/share/doc/kaptain/
	-$(INSTALL_FILE) /home/zsolt/kaptain/kaptain-0.73/doc/tar.gif $(INSTALL_ROOT)/usr/local/share/doc/kaptain/
	-$(INSTALL_FILE) /home/zsolt/kaptain/kaptain-0.73/doc/tutorial.tgz $(INSTALL_ROOT)/usr/local/share/doc/kaptain/


uninstall_documentation:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/doc/kaptain/COPYING 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/doc/kaptain/README 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/doc/kaptain/crypt.gif 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/doc/kaptain/database.tgz 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/doc/kaptain/fig1.png 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/doc/kaptain/kaptain.html 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/doc/kaptain/kaptain.info 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/doc/kaptain/kaptain.texi 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/doc/kaptain/record.gif 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/doc/kaptain/tar.gif 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/doc/kaptain/tutorial.tgz

=== debian/changelog ===
kaptain (1:0.73-1) unstable; urgency=low

  * New upstream version
    - Source converted to use Qt4. Closes: #604492
    - Adapt Build-Depends for Qt4
  * Depend on dpkg (>= 1.15.4) | install-info for partial upgrades
    from lenny
  * Switch to debhelper v8
  * Use dpkg source format 3.0 (quilt)
  * Update to Standards-Version 3.9.1, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Mon, 28 Feb 2011 20:18:33 +0100

kaptain (1:0.72-3) unstable; urgency=low

  * Change maintainer name
  * debian/copyright: update year, use "©" instead of "(C)", and make link
    to GPL-2 explicit
  * Update to Standards-Version 3.8.0, no changes needed
  * Switch to debhelper v7 and reduce debian/rules
  * Add ${misc:Depends} to debian/control to fix a Lintian warning

 -- Tobias Quathamer <toddy@debian.org>  Wed, 18 Feb 2009 09:47:48 +0100

kaptain (1:0.72-2) unstable; urgency=low

  * Use hardening-wrapper on m68k as well
  * Remove DM upload rights
  * Change maintainer e-mail address

 -- Tobias Toedter <toddy@debian.org>  Fri, 30 May 2008 09:14:40 +0200

kaptain (1:0.72-1) unstable; urgency=low

  * New upstream version. Closes: #374191
  * New maintainer, using DM upload. Closes: #467000
  * Acknowledge NMUs:
    - Thanks to LaMont Jones (1.1)
    - Thanks to Luk Claes (1.2, 1.3)
    - Thanks to Steinar H. Gunderson (1.4, 1.5). Closes: #375262, #375354
    - Thanks to James Vega (1.6). Closes: #470189
  * Update debhelper compatibility level to 5
  * Fix formatting in debian/changelog
  * Add homepage to debian/control
  * Rephrase short description
  * Add watch file
  * Rewrite debian/copyright and convert to UTF-8
  * Convert debian/kaptain.doc-base to UTF-8, update Section and current
    file path
  * Remove unnecessary Build-Depends
    - Remove libqt3-compat-headers. Closes: #464472
  * Use "-Wl,--as-needed" in LD_FLAGS to trim down list of unneeded
    library dependencies
  * Add autotools-dev to Build-Depends
  * Add hardening-wrapper to Build-Depends and use it on every
    architecture except m68k
  * Remove Replaces: captain and Conflicts: captain, as that package
    is not available in Debian since at least sarge
  * Remove usr/sbin from debian/dirs
  * Remove TODO from debian/docs, it's an empty file. Closes: #387733
  * Remove debian/README.Debian, the information given is no longer true
  * Rewrite debian/rules
  * Install example scripts in correct location
  * Install tutorial
  * Do not install upstream's changelog, as it is an empty file
  * Correct typos in manpage. Thanks to A. Costa. Closes: #394814
  * Fix FTBFS with GCC 4.3: missing #includes. Thanks to Martin
    Michlmayr for the patch. Closes: #417267
  * Fix FTBFS on slow architectures due to timestamp issues.
    Thanks to Roman Zippel for the patch. Closes: #394575
  * After all those changes, update Standards-Version to 3.7.3

 -- Tobias Toedter <t.toedter@gmx.net>  Mon, 10 Mar 2008 22:47:58 +0100

kaptain (1:0.71-1.6) unstable; urgency=low

  * Non-maintainer upload.
  * Explicitly include required headers to fix FTBFS with gcc-4.3.  (Closes:
    #417267)
  * Fix the path for upstream's documentation so that it's actually installed
    in the Debian package.  (Closes: #387733)
  * Build without libqt3-compat-headers.  (Closes: #464472)

 -- James Vega <jamessan@debian.org>  Sun, 09 Mar 2008 15:51:44 -0400

kaptain (1:0.71-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Pull in texinfo.tex from automake into admin/; it seems to be required
    for running admin/Makefile.common now.
  * Remove lexer.cpp and parser.cpp from kaptain_SOURCES; they are
    automatically generated from lexer.lpp and parser.ypp respecively, which
    seems to cause duplicate symbols under some automake versions.
  * Add AM_MAINTAINER_MODE to configure.in and rerun admin/Makefile.common;
    fixes FTBFS due to timestamp skew. (Closes: #375350)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 25 Jun 2006 14:49:04 +0200

kaptain (1:0.71-1.4) unstable; urgency=high

  * Non-maintainer upload.
  * Pull in newer acinclude.m4.in from kapptemplate, put it in admin/ and
    rerun admin/Makefile.common; fixes FTBFS (Closes: #373923).

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 24 Jun 2006 22:35:17 +0200

kaptain (1:0.71-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346740).

 -- Luk Claes <luk@debian.org>  Wed, 11 Jan 2006 15:33:31 +0100

kaptain (1:0.71-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild for the Qt/KDE transition (Closes: #327946)
  * Forward declaration of Kaptain (Closes: #320903) 

 -- Luk Claes <luk@debian.org>  Tue, 27 Sep 2005 14:22:02 +0200

kaptain (1:0.71-1.1) unstable; urgency=low

  * NMU
  * Fix build-depends.  Closes: #197848

 -- LaMont Jones <lamont@debian.org>  Sat,  2 Aug 2003 14:53:33 -0600

kaptain (1:0.71-1) unstable; urgency=low

  * New upstream release
  * add missing #include <cassert> (Closes: #196670)

 -- Bradley Bell <btb@debian.org>  Tue, 17 Jun 2003 14:13:42 -0700

kaptain (1:0.7-4) unstable; urgency=low

  * Change path for angband (Closes: #144588)

 -- Bradley Bell <btb@debian.org>  Mon,  5 May 2003 14:08:19 -0700

kaptain (1:0.7-3) unstable; urgency=low

  * Build-dep on flex, bison (Closes: #186386)

 -- Bradley Bell <btb@debian.org>  Wed, 26 Mar 2003 12:13:41 -0800

kaptain (1:0.7-2) unstable; urgency=low

  * Rebuild against newer qt, gcc 3.2 (Closes: #184029, #185120)

 -- Bradley Bell <btb@debian.org>  Mon, 24 Mar 2003 11:19:29 -0800

kaptain (1:0.7-1) unstable; urgency=low

  * New upstream release
  * Only one binary package now (kaptain) which is Qt-based.

 -- Bradley Bell <btb@debian.org>  Mon,  7 Oct 2002 13:30:24 -0700

kaptain (1:0.6-4) unstable; urgency=low

  * add -O0 -mieee to alpha CXXFLAGS
  * Updated config.{guess,sub}

 -- Bradley Bell <btb@debian.org>  Fri, 30 Nov 2001 11:25:19 -0800

kaptain (1:0.6-3) unstable; urgency=low

  * Updated config.{guess,sub} (Closes: #116027)



=== debian/control ===
Source: kaptain
Section: utils
Priority: optional
Maintainer: Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 8), hardening-wrapper, qt4-qmake, libqt4-dev,
               bison, flex
Standards-Version: 3.9.1
Homepage: http://kaptain.sourceforge.net/

Package: kaptain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: universal graphical front-end for command line programs
 Kaptain is a universal graphical front-end (Qt) based on context-free
 grammars. The program reads a file containing grammatical rules for
 generating text. It builds a dialog from the grammar and generates
 the text according to the user's settings.

=== debian/rules ===
#!/usr/bin/make -f

# Use security features through hardening-wrapper
export DEB_BUILD_HARDENING=1

%:
	dh $@

override_dh_auto_configure:
	qmake PREFIX=/usr QMAKE_LFLAGS="$(LDFLAGS) -Wl,-z,defs -Wl,--as-needed" kaptain.pro
	
override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_install:
	dh_install
	# Install tutorial and remove the tarball
	tar xzf $(CURDIR)/debian/kaptain/usr/share/doc/kaptain/manual/tutorial.tgz
	mv article-kaptain/* $(CURDIR)/debian/kaptain/usr/share/doc/kaptain/tutorial
	rm -rf article-kaptain
	rm -f $(CURDIR)/debian/kaptain/usr/share/doc/kaptain/manual/tutorial.tgz
	# Remove texi and info files
	rm -f $(CURDIR)/debian/kaptain/usr/share/doc/kaptain/manual/kaptain.info
	rm -f $(CURDIR)/debian/kaptain/usr/share/doc/kaptain/manual/kaptain.texi

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format
# Compulsory line, this is a version 3 file
version=3
http://sf.net/kaptain/kaptain-(.*)\.tar\.gz
